//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include <math.h>
#define pi 3.141526535897932384626433832795
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TFrm *Frm;
//---------------------------------------------------------------------------
__fastcall TFrm::TFrm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFrm::FormCreate(TObject *Sender)
{
  KeyPreview = true;
  DecimalSeparator = '.';
  degr->Checked = true;
}
//---------------------------------------------------------------------------
void __fastcall TFrm::FormKeyPress(TObject *Sender, char &Key)
{
  if(Key == char(13)){
    if(Eda->Focused())
      Edb->SetFocus();
    else if(Edb->Focused())
      Edx->SetFocus();
    else if(Edx->Focused())
      degr->SetFocus();
    else if (degr->Focused() || rad-> Focused())
      Btn->SetFocus();
  }
}
//---------------------------------------------------------------------------
void __fastcall TFrm::EdaChange(TObject *Sender)
{
  Label3->Caption = "";
  GroupBox2->Caption="";
}
//---------------------------------------------------------------------------
void __fastcall TFrm::BtnClick(TObject *Sender)
{
  float a,b,c,x;
  AnsiString str;
  try{
    a=StrToFloat(Eda->Text);
  }
  catch(...){
    a=0; Eda->Text='0';
  }
  try{
    b=StrToFloat(Edb->Text);
  }
  catch(...){
    b=0; Edb->Text='0';
  }
  try{
    x=StrToFloat(Edx->Text);
  }
  catch(...){
    x=0; Edx->Text='0';
  }

  if(a<=0||b<=0||((degr->Checked)&&(x<=0||x>=180))||((rad->Checked)&&(x<=0||x>=pi))){
    GroupBox2->Caption="";
    str=" ";
  }else{
    if(degr->Checked)
      x*=pi/180;
    c=sqrt(pow(a,2)+pow(b,2)-2*a*b*cos(x));
    str = "c= "+ FloatToStrF(c, ffFixed, 5, 2);
  }
  Label3->Caption=str;
}
//---------------------------------------------------------------------------