//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Un1.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TFrm *Frm;
//---------------------------------------------------------------------------
__fastcall TFrm::TFrm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFrm::FormCreate(TObject *Sender)
{
  KeyPreview = true;
  DecimalSeparator = '.';
  GrBx->Caption="";
}
//---------------------------------------------------------------------------
void __fastcall TFrm::Ed1Change(TObject *Sender)
{
  Lb1->Caption="";
  GrBx->Caption="";
}
//---------------------------------------------------------------------------
void __fastcall TFrm::FormKeyPress(TObject *Sender, char &Key)
{
  if(Key == char(13)){      //   Enter
    if(Ed1->Focused())      //   a.
      Ed2->SetFocus();      //   b
    else if(Ed2->Focused()) //  b,
       Btn1->SetFocus();     //  c
  }
}
//---------------------------------------------------------------------------
float a,b,c;
void __fastcall TFrm::Btn1Click(TObject *Sender)
{
  try{
    a=StrToFloat(Ed1->Text);
  }
  catch(...){
    a=0; Ed2->SetFocus();
  }
  try{
    b=StrToFloat(Ed2->Text);
  }
  catch(...){
    b=0; Btn1->SetFocus();
  }
  c=a+b;
  GrBx->Caption="";
  Lb1->Caption=(Ed1->Text)+" + "+(Ed2->Text)+" = "+FloatToStrF(c,ffFixed,5,2);
}
//---------------------------------------------------------------------------
void __fastcall TFrm::Btn2Click(TObject *Sender)
{
try{
    a=StrToFloat(Ed1->Text);
  }
  catch(...){
    a=0; Ed2->SetFocus();
  }
  try{
    b=StrToFloat(Ed2->Text);
  }
  catch(...){
    b=0; Btn1->SetFocus();
  }
  c=a-b;
  GrBx->Caption="";
  Lb1->Caption=(Ed1->Text)+" - "+(Ed2->Text)+" = "+FloatToStrF(c,ffFixed,5,2);
}
//---------------------------------------------------------------------------
void __fastcall TFrm::Btn3Click(TObject *Sender)
{
try{
    a=StrToFloat(Ed1->Text);
  }
  catch(...){
    a=0; Ed2->SetFocus();
  }
  try{
    b=StrToFloat(Ed2->Text);
  }
  catch(...){
    b=0; Btn1->SetFocus();
  }
  c=a*b;
  GrBx->Caption="";
  Lb1->Caption=(Ed1->Text)+" * "+(Ed2->Text)+" = "+FloatToStrF(c,ffFixed,5,2);
}
//---------------------------------------------------------------------------
void __fastcall TFrm::Btn4Click(TObject *Sender)
{
try{
    a=StrToFloat(Ed1->Text);
  }
  catch(...){
    a=0; Ed2->SetFocus();
  }
  try{
    b=StrToFloat(Ed2->Text);
  }
  catch(...){
    b=0; Btn1->SetFocus();
  }
  if(b!=0){
    c=a/b;
    GrBx->Caption="";
    Lb1->Caption=(Ed1->Text)+" / "+(Ed2->Text)+" = "+FloatToStrF(c,ffFixed,5,2);
  }else
    Lb1->Caption="  ";
}
//---------------------------------------------------------------------------